> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rubric



## OpenAPI

````yaml https://api.dev-sgp.scale.com/openapi-versions/v5/openapi.json get /v5/rubrics/{rubric_id}
openapi: 3.1.0
info:
  title: EGP API V5
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
paths:
  /v5/rubrics/{rubric_id}:
    get:
      tags:
        - Rubrics
      summary: Get Rubric
      operationId: GET-V5-/v5/rubrics/rubric_id
      parameters:
        - name: rubric_id
          in: path
          required: true
          schema:
            title: Rubric Id
            type: string
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RubricResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    RubricResponse:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: rubric
          title: Object
          default: rubric
        created_by:
          $ref: '#/components/schemas/Identity'
          description: The identity that created the entity.
        tags:
          title: Tags
          description: The tags associated with the entity
          items:
            type: string
          type: array
        version:
          type: integer
          title: Version
        title:
          type: string
          title: Title
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        archived_at:
          title: Archived At
          type: string
          format: date-time
        criteria:
          title: Criteria
          description: Full criteria on get, summary (title + weight) on list
          items:
            anyOf:
              - $ref: '#/components/schemas/RubricCriteriaResponse'
              - $ref: '#/components/schemas/RubricCriteriaSummaryResponse'
          type: array
      type: object
      required:
        - created_by
        - tags
        - id
        - version
        - title
        - created_at
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Identity:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: identity
          title: Object
          default: identity
        type:
          $ref: '#/components/schemas/IdentityType'
      type: object
      required:
        - id
        - type
      title: Identity
    RubricCriteriaResponse:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: rubric_criteria
          title: Object
          default: rubric_criteria
        rubric_id:
          title: Rubric Id
          type: string
        version:
          type: integer
          title: Version
        title:
          type: string
          title: Title
        weight:
          title: Weight
          type: number
        annotations:
          title: Annotations
          additionalProperties: true
          type: object
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - rubric_id
        - version
        - title
        - created_at
    RubricCriteriaSummaryResponse:
      properties:
        title:
          type: string
          title: Title
        weight:
          title: Weight
          type: number
      type: object
      required:
        - title
      title: RubricCriteriaSummaryResponse
      description: Slim criteria projection for list endpoints (title + weight only).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          title: Error Type
          type: string
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IdentityType:
      type: string
      enum:
        - user
        - service_account
      title: IdentityType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````